Skip to main content
PUT
cURL
替换数据集视图的传递配置。deliver.type 字段选择目标,deliver 内的其余字段必须与该目标的 Get destination type schema 返回的架构匹配。

如何更新视图

  1. 调用 Get delivery options 以确认支持该目标类型。
  2. 使用该目标类型调用 Get destination type schema 以获取所需字段。
  3. 发送本页面上记录的 PUT 请求,并填充 deliver 对象。
设置 tar: true 会将所有输出文件捆绑到单个 TAR 存档中。设置 compress: true 会对每个交付的文件进行 gzip 压缩。两者可以结合使用。
batch_size 是每个输出文件的最大记录数。使用它可以将大型交付拆分为较小的文件。每批最大大小为 5 GB。
要一次将相同的配置应用于许多视图,请改用 Bulk update view delivery settings

授权

Authorization
string
header
必填

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

路径参数

view_id
string
必填

Unique identifier for the dataset view.

示例:

"v_id1"

请求体

application/json

Delivery configuration for a dataset view. Used by the view delivery settings GET, PUT and bulk PUT endpoints.

deliver
Microsoft Azure · object

Delivery destination configuration. The type field selects the destination (for example s3, sftp, webhook) and the remaining fields depend on the destination schema returned by /datasets/delivery_settings/{destination_type}/schema.

filename
object

Configuration for the output file name and format.

flatten_csv
boolean
默认值:false

When true, nested fields are flattened for CSV output.

tar
boolean
默认值:false

When true, delivered files are bundled into a TAR archive.

compress
boolean
默认值:false

When true, delivered files are gzip compressed.

batch_size
integer

Maximum records per batch file. Use to split large deliveries into smaller files. Maximum batch size is 5GB.

示例:

1000

响应

View delivery settings updated

view_id
string